package com.cmvr.aima.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cmvr.aima.domain.AimaAlarm;

/**
 * 爱玛告警管理Mapper接口
 * 
 * @author cmvr-iot
 * @since 2026-06-22
 */
public interface AimaAlarmMapper extends BaseMapper<AimaAlarm> {
    /**
     * 查询爱玛告警管理
     * 
     * @param id 爱玛告警管理主键
     * @return 爱玛告警管理
     */
    AimaAlarm selectAimaAlarmById(String id);

    /**
     * 查询爱玛告警管理列表
     * 
     * @param aimaAlarm 爱玛告警管理
     * @return 爱玛告警管理集合
     */
    List<AimaAlarm> selectAimaAlarmList(AimaAlarm aimaAlarm);

    /**
     * 新增爱玛告警管理
     * 
     * @param aimaAlarm 爱玛告警管理
     * @return 结果
     */
    int insertAimaAlarm(AimaAlarm aimaAlarm);

    /**
     * 修改爱玛告警管理
     * 
     * @param aimaAlarm 爱玛告警管理
     * @return 结果
     */
    int updateAimaAlarm(AimaAlarm aimaAlarm);

    /**
     * 删除爱玛告警管理
     * 
     * @param id 爱玛告警管理主键
     * @return 结果
     */
    int deleteAimaAlarmById(String id);

    /**
     * 批量删除爱玛告警管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAimaAlarmByIds(String[] ids);
}
